"use strict";
/**
 * @author Ben Siebert <ben@mctzock.de>
 * @copyright (c) 2018-2021 Ben Siebert. All rights reserved.
 */
exports.__esModule = true;
var AddToElementBlock_1 = require("./blocks/AddToElementBlock");
var AddToScreenBlock_1 = require("./blocks/AddToScreenBlock");
var AskBlock_1 = require("./blocks/AskBlock");
var CallMethodBlock_1 = require("./blocks/CallMethodBlock");
var CreateMethodBlock_1 = require("./blocks/CreateMethodBlock");
var CreateVarBlock_1 = require("./blocks/CreateVarBlock");
var CreateVarTypeBlock_1 = require("./blocks/CreateVarTypeBlock");
var ElseBlock_1 = require("./blocks/ElseBlock");
var ElseIfNumberBlock_1 = require("./blocks/ElseIfNumberBlock");
var IfEventBlock_1 = require("./blocks/IfEventBlock");
var IfNumberBlock_1 = require("./blocks/IfNumberBlock");
var ElseIfTextBlock_1 = require("./blocks/ElseIfTextBlock");
var IfTextBlock_1 = require("./blocks/IfTextBlock");
var LogBlock_1 = require("./blocks/LogBlock");
var RepeatWhile_1 = require("./blocks/RepeatWhile");
var RepeatWhileNumber_1 = require("./blocks/RepeatWhileNumber");
var RepeatXTimesBlock_1 = require("./blocks/RepeatXTimesBlock");
var SetVarBorderStyle_1 = require("./blocks/SetVarBorderStyle");
var SetVarColorBlock_1 = require("./blocks/SetVarColorBlock");
var SetVarDecorationPropsBlock_1 = require("./blocks/SetVarDecorationPropsBlock");
var SetVarFontWeight_1 = require("./blocks/SetVarFontWeight");
var SetVarPositionBlock_1 = require("./blocks/SetVarPositionBlock");
var SetVarPropertyBlock_1 = require("./blocks/SetVarPropertyBlock");
var SetVarTextAlign_1 = require("./blocks/SetVarTextAlign");
var StartBlock_1 = require("./blocks/StartBlock");
var FunctionBlock_1 = require("./blocks/FunctionBlock");
var Blocks = /** @class */ (function () {
    function Blocks() {
    }
    Blocks.register = function () {
        FunctionBlock_1.FunctionBlock.registerBlock();
        AddToElementBlock_1.AddToElementBlock.registerBlock();
        AddToScreenBlock_1.AddToScreenBlock.registerBlock();
        AskBlock_1.AskBlock.registerBlock();
        CallMethodBlock_1.CallMethodBlock.registerBlock();
        CreateMethodBlock_1.CreateMethodBlock.registerBlock();
        CreateVarBlock_1.CreateVarBlock.registerBlock();
        CreateVarTypeBlock_1.CreateVarTypeBlock.registerBlock();
        ElseBlock_1.ElseBlock.registerBlock();
        ElseIfNumberBlock_1.ElseIfNumberBlock.registerBlock();
        ElseIfTextBlock_1.ElseIfTextBlock.registerBlock();
        IfEventBlock_1.IfEventBlock.registerBlock();
        IfNumberBlock_1.IfNumberBlock.registerBlock();
        IfTextBlock_1.IfTextBlock.registerBlock();
        LogBlock_1.LogBlock.registerBlock();
        RepeatWhile_1.RepeatWhile.registerBlock();
        RepeatWhileNumber_1.RepeatWhileNumber.registerBlock();
        RepeatXTimesBlock_1.RepeatXTimesBlock.registerBlock();
        SetVarBorderStyle_1.SetVarBorderStyle.registerBlock();
        SetVarColorBlock_1.SetVarColorBlock.registerBlock();
        SetVarDecorationPropsBlock_1.SetVarDecorationPropsBlock.registerBlock();
        SetVarFontWeight_1.SetVarFontWeight.registerBlock();
        SetVarPositionBlock_1.SetVarPositionBlock.registerBlock();
        SetVarPropertyBlock_1.SetVarPropertyBlock.registerBlock();
        SetVarTextAlign_1.SetVarTextAlign.registerBlock();
        StartBlock_1.StartBlock.registerBlock();
    };
    return Blocks;
}());
exports["default"] = Blocks;
